<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('schedule_shifts', function (Blueprint $table) {
            $table->boolean('every_sat_off')->default(false)->after('shifting_day');
            $table->integer('schedule_header')->after('every_sat_off')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('schedule_shifts', function (Blueprint $table) {
            $table->dropColumn('every_sat_off');
            $table->dropColumn('schedule_header');
        });
    }
};
